Index: WAeUP_SRP/aaua/waeup_custom/getSimpleStudentStatistics.py
===================================================================
--- WAeUP_SRP/aaua/waeup_custom/getSimpleStudentStatistics.py	(revision 3574)
+++ WAeUP_SRP/aaua/waeup_custom/getSimpleStudentStatistics.py	(revision 3575)
@@ -42,7 +42,6 @@
 
 
-returning =  ('110','120','200','210','220','300','310','320',)
-new =        ('100')
-prence   =   ('000')
+returning =  ('110','120','200','210','220','300','310','320','400','410','420','500','510', '520','500','510','520','610','620','700','710','720','800','810','820',)
+new =        ('100','600')
 
 
@@ -54,6 +53,6 @@
 
 dict = {}
-dict['id'] = 'All Schools'
-dict['title'] = 'All Schools'
+dict['id'] = 'All Faculties'
+dict['title'] = 'All Faculties'
 
 
@@ -64,7 +63,4 @@
 dict['total_pt'] = len(res_pt)
 
-res_dp = context.students_catalog(level = prence)
-dict['total_dp'] = len(res_dp)
-
 res_Aft = context.students_catalog(review_state = catA, level = returning, session = current_session)
 dict['total_Aft'] = len(res_Aft)
@@ -73,6 +69,5 @@
 dict['total_Apt'] = len(res_Apt)
 
-res_Adp = context.students_catalog(review_state = catA, level = prence, session = current_session)
-dict['total_Adp'] = len(res_Adp)
+
 
 res_Bft = context.students_catalog(review_state = catB, level = returning, session = current_session)
@@ -82,6 +77,5 @@
 dict['total_Bpt'] = len(res_Bpt)
 
-res_Bdp = context.students_catalog(review_state = catB, level = prence, session = current_session)
-dict['total_Bdp'] = len(res_Bdp)
+
 
 res_Cft = context.students_catalog(review_state = catC, level = returning, session = current_session)
@@ -91,11 +85,10 @@
 dict['total_Cpt'] = len(res_Cpt)
 
-res_Cdp = context.students_catalog(review_state = catC, level = prence, session = current_session)
-dict['total_Cdp'] = len(res_Cdp)
+
 
 
 res_total = context.students_catalog()
 dict['total_in_catalog'] = len(res_total)
-dict['not_categorized'] = dict['total_in_catalog'] - dict['total_ft'] - dict['total_pt'] - dict['total_dp']
+dict['not_categorized'] = dict['total_in_catalog'] - dict['total_ft'] - dict['total_pt']
 
 l.append(dict)
@@ -113,6 +106,4 @@
     dict['total_pt'] = len(res_pt)
 
-    res_dp = context.students_catalog(faculty = f.getId, level = prence)
-    dict['total_dp'] = len(res_dp)
 
     res_Aft = context.students_catalog(faculty = f.getId, review_state = catA, level = returning, session = current_session)
@@ -122,6 +113,5 @@
     dict['total_Apt'] = len(res_Apt)
 
-    res_Adp = context.students_catalog(faculty = f.getId, review_state = catA, level = prence, session = current_session)
-    dict['total_Adp'] = len(res_Adp)
+
 
     res_Bft = context.students_catalog(faculty = f.getId, review_state = catB, level = returning, session = current_session)
@@ -131,6 +121,5 @@
     dict['total_Bpt'] = len(res_Bpt)
 
-    res_Bdp = context.students_catalog(faculty = f.getId, review_state = catB, level = prence, session = current_session)
-    dict['total_Bdp'] = len(res_Bdp)
+
 
     res_Cft = context.students_catalog(faculty = f.getId, review_state = catC, level = returning, session = current_session)
@@ -140,6 +129,5 @@
     dict['total_Cpt'] = len(res_Cpt)
 
-    res_Cdp = context.students_catalog(faculty = f.getId, review_state = catC, level = prence, session = current_session)
-    dict['total_Cdp'] = len(res_Cdp)
+
 
 
Index: WAeUP_SRP/aaua/waeup_custom/statistics_simple_view.pt
===================================================================
--- WAeUP_SRP/aaua/waeup_custom/statistics_simple_view.pt	(revision 3574)
+++ WAeUP_SRP/aaua/waeup_custom/statistics_simple_view.pt	(revision 3575)
@@ -27,11 +27,11 @@
             <th>&nbsp;</th>
             
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">All Students</th>
+            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="2">All Students</th>
             
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category A</th>
+            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="2">Category A</th>
 
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category B</th>
+            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="2">Category B</th>
 
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category C</th>
+            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="2">Category C</th>
 
 
@@ -39,17 +39,17 @@
 
           <tr class="odd ajaxtd">
-            <th >School</th>
+            <th >Faculty</th>
             <th align="right">Returning</th>
             <th align="right">New</th>
-            <th align="right">Pre-NCE</th>
+
             <th align="right">Returning</th>
             <th align="right">New</th>
-            <th align="right">Pre-NCE</th>
+
             <th align="right">Returning</th>
             <th align="right">New</th>
-            <th align="right">Pre-NCE</th>
+
             <th align="right">Returning</th>
             <th align="right">New</th>
-            <th align="right">Pre-NCE</th>
+
 
           </tr>
@@ -66,8 +66,5 @@
               </td>              
 
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_dp" />
-              </td>                 
-              
+
               <td width="60px" align="right"> 
                 <span tal:content="d/total_Aft" />
@@ -78,7 +75,5 @@
               </td>              
 
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Adp" />
-              </td>              
+     
 
               <td width="60px" align="right"> 
@@ -90,7 +85,5 @@
               </td>              
               
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Bdp" />
-              </td>      
+   
               
               <td width="60px" align="right"> 
@@ -102,7 +95,5 @@
               </td>      
               
-              <td width="60px" align="right"> 
-                <span tal:content="d/total_Cdp" />
-              </td>                                                
+                                        
 
                                        
@@ -117,6 +108,5 @@
         <tr><td>Category B: </td> <td>students who registered their courses online (A contains B) in <span tal:content="session_str" /></td></tr>
         <tr><td>Category C: </td> <td>students who 'arrived' in <span tal:content="session_str" /> but have not yet paid their school fee</td></tr>
-        <tr><td>Returning: </td> <td>students in NCE-II or NCE-III</td></tr>
-        <tr><td>New: </td> <td>students in NCE-I</td></tr>
+        <tr><td>New: </td> <td>students in level 100 or 600</td></tr>
         <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
         <tr><td colspan="2"><strong>Remark:</strong> <span tal:content="python: faculties[0]['not_categorized']" /> returning students are not categorized.