Index: /WAeUP_SRP/aaua/profiles/default/applicants_catalog.xml
===================================================================
--- /WAeUP_SRP/aaua/profiles/default/applicants_catalog.xml	(revision 3585)
+++ /WAeUP_SRP/aaua/profiles/default/applicants_catalog.xml	(revision 3586)
@@ -56,4 +56,5 @@
  <column value="status"/>
  <column value="aos"/>
+ <column value="entry_session"/>
  <index name="reg_no" meta_type="FieldIndex">
   <indexed_attr value="reg_no"/>
@@ -74,4 +75,7 @@
   <indexed_attr value="course_admitted"/>
  </index>
+ <index name="entry_session" meta_type="FieldIndex">
+  <indexed_attr value="entry_session"/>
+ </index>
  <index name="student_id" meta_type="FieldIndex">
   <indexed_attr value="student_id"/>
Index: /WAeUP_SRP/aaua/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/aaua/profiles/default/layouts/application_manage.xml	(revision 3585)
+++ /WAeUP_SRP/aaua/profiles/default/layouts/application_manage.xml	(revision 3586)
@@ -466,5 +466,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="pin" meta_type="Pume Pin Widget">
+  <widget name="pin" meta_type="String Widget">
     <property name="title">Access Code</property>
     <property name="fields">
@@ -485,6 +485,4 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-    <property name="prefix">APP</property>
-    <property name="reference">reg_no</property>
   </widget>
   <widget name="emergency_pin_change" meta_type="String Widget">
@@ -964,4 +962,19 @@
   </widget>
 
+     <widget name="entry_session" meta_type="WAeUP Session Widget">
+      <property name="title">Entry Session</property>
+      <property name="fields">
+       <element value="entry_session"/>
+      </property>
+      <property name="label">Entry Session</property>
+      <property name="label_edit">Entry Session</property>
+      <property name="is_required">False</property>
+      <property name="readonly_layout_modes"/>
+      <property name="hidden_layout_modes"/>
+      <property name="hidden_readonly_layout_modes"/>
+      <property name="vocabulary">unset</property>
+      <property name="sorted">True</property>
+     </widget>
+
  <table>
   <row>
@@ -1116,4 +1129,7 @@
   </row>
   <row>
+   <cell name="entry_session" ncols="2"/>
+  </row>
+  <row>
    <cell name="notice" ncols="2"/>
   </row>
Index: /WAeUP_SRP/aaua/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/aaua/profiles/default/layouts/application_pde.xml	(revision 3585)
+++ /WAeUP_SRP/aaua/profiles/default/layouts/application_pde.xml	(revision 3586)
@@ -495,5 +495,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-    <property name="prefix">APP</property>
+    <property name="prefix">PDE</property>
     <property name="reference">reg_no</property>
   </widget>
Index: /WAeUP_SRP/aaua/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/aaua/profiles/default/layouts/application_pume.xml	(revision 3585)
+++ /WAeUP_SRP/aaua/profiles/default/layouts/application_pume.xml	(revision 3586)
@@ -87,5 +87,5 @@
     <property name="readonly_layout_modes"/>
     <property name="hidden_layout_modes">
-      <element value="edit"/>
+      <element value="create"/>
     </property>
     <property name="view_format">%d/%m/%Y</property>
@@ -414,5 +414,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-    <property name="prefix">APP</property>
+    <property name="prefix">PUME</property>
     <property name="reference">reg_no</property>
   </widget>
Index: /WAeUP_SRP/aaua/profiles/default/layouts/import_application.xml
===================================================================
--- /WAeUP_SRP/aaua/profiles/default/layouts/import_application.xml	(revision 3585)
+++ /WAeUP_SRP/aaua/profiles/default/layouts/import_application.xml	(revision 3586)
@@ -383,18 +383,15 @@
     <property name="css_class_expr">string:row</property>
   </widget>
- <widget name="lga" meta_type="Select Widget">
-  <property name="title">State/LGA</property>
+ <widget name="lga" meta_type="WAeUP LGA Widget">
+  <property name="title">LGA</property>
   <property name="fields">
    <element value="lga"/>
   </property>
-  <property name="label">State/LGA</property>
-  <property name="label_edit">State/LGA (confirmed by applicant)</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="label">LGA</property>
+  <property name="label_edit">LGA</property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">local_gov_areas</property>
-  <property name="sorted">True</property>
  </widget>
   <widget name="middlenames" meta_type="String Widget">
@@ -447,6 +444,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="view_format">%A, %B %d, %Y</property>
-    <property name="time_setting">False</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/aaua/profiles/default/schemas/import_application.xml
===================================================================
--- /WAeUP_SRP/aaua/profiles/default/schemas/import_application.xml	(revision 3585)
+++ /WAeUP_SRP/aaua/profiles/default/schemas/import_application.xml	(revision 3586)
@@ -57,3 +57,4 @@
  <field name="hq_disc" meta_type="CPS String Field"/>
  <field name="serial" meta_type="CPS String Field"/>
+ <field name="entry_session" meta_type="CPS String Field"/>
 </object>
Index: /WAeUP_SRP/aaua/waeup_custom/getPaymentsFolderInfo.py
===================================================================
--- /WAeUP_SRP/aaua/waeup_custom/getPaymentsFolderInfo.py	(revision 3585)
+++ /WAeUP_SRP/aaua/waeup_custom/getPaymentsFolderInfo.py	(revision 3586)
@@ -71,5 +71,5 @@
 elif review_state == 'returning' and info['next_session'] != session:
     info['payment_method'] = "online_payment"
-info['prod_id'] = '83'
+info['prod_id'] = '105'
 
 # end customization
Index: /WAeUP_SRP/aaua/waeup_custom/pay_interswitch.py
===================================================================
--- /WAeUP_SRP/aaua/waeup_custom/pay_interswitch.py	(revision 3585)
+++ /WAeUP_SRP/aaua/waeup_custom/pay_interswitch.py	(revision 3586)
@@ -48,8 +48,8 @@
     return context.interswitch_form(info=info)
 
-info['site_id'] = '83'
+info['site_id'] = '105'
 info['currency_id'] = '566'
+pay_item_id = "10500"
 
-pay_item_id = "8302"
 #info['type_code'] = sbrain.course  #type_code is redundant and will be removed soon
 info['bank'] = ''
@@ -67,5 +67,5 @@
 now = DateTime.DateTime()
 info['date'] = now
-info['pay_ship_to'] = "Federal College of Education Okene"
+info['pay_ship_to'] = "Adekunle Ajasin University"
 timestamp = "%d" % int(now.timeTime()*1000)
 info['order_id'] = "%s%s" % (student_id[1:],timestamp)
@@ -82,5 +82,5 @@
 
 if True:
-    info['action'] = "https://webpay.interswitchng.com/paydirect/webpay/pay.aspx"
+    info['action'] = "https://webpay.interswitchng.com/test_paydirect/webpay/pay.aspx"
 else:
     #pass
@@ -128,11 +128,34 @@
     args[arg] = info[field]
 
+bt_amount = 4000
+
+aaua_amount = amount - bt_amount
+xmldict = {}
+xmldict['detail_ref'] = args['txn_ref']
+xmldict['department'] = student_record.department
+xmldict['faculty'] = student_record.faculty
+xmldict['aaua_amount'] = "%d" % int(100*aaua_amount)
+xmldict['bt_amount'] = "%d" % int(100*bt_amount)
+
+
+xmltext = """
+<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="AAUA" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="AAUA" item_amt="%(aaua_amount)s" bank_id="00" acct_num="0000000000000000" />
+<item_detail item_id="2" item_name="BT" item_amt="%(bt_amount)s" bank_id="00" acct_num="0000000000000000" />
+</item_details>
+</payment_item_detail>
+""" % xmldict
+
+
 args['Amount'] = "%d" % (total_amount)
-args['site_name'] = "fceokene.waeup.org"
+args['site_name'] = "aaua.waeup.org"
 args['cust_name_desc'] = "Student Name"
 args['pay_item_id'] = pay_item_id
-args['pay_item_name'] = "FCEOKENE Tuition Payments"
-args['payment_params'] = 'switch_college_split'
-args['xml_data'] = ''
+args['pay_item_name'] = "AAUA Tuition Payments"
+args['payment_params'] = 'college_split'
+#args['xml_data'] = ''
+args['xml_data'] = xmltext
 info['args'] = args
 return context.goto_interswitch_form(info=info)
+