Index: /WAeUP_SRP/fceokene/profiles/default/applicants_catalog.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/applicants_catalog.xml	(revision 3586)
+++ /WAeUP_SRP/fceokene/profiles/default/applicants_catalog.xml	(revision 3587)
@@ -56,4 +56,5 @@
  <column value="status"/>
  <column value="aos"/>
+ <column value="entry_session"/>
  <index name="reg_no" meta_type="FieldIndex">
   <indexed_attr value="reg_no"/>
@@ -74,4 +75,7 @@
   <indexed_attr value="course_admitted"/>
  </index>
+ <index name="entry_session" meta_type="FieldIndex">
+  <indexed_attr value="entry_session"/>
+ </index>
  <index name="student_id" meta_type="FieldIndex">
   <indexed_attr value="student_id"/>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 3586)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 3587)
@@ -495,5 +495,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-    <property name="prefix">APP</property>
+    <property name="prefix">PDE</property>
     <property name="reference">reg_no</property>
   </widget>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 3586)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 3587)
@@ -87,5 +87,5 @@
     <property name="readonly_layout_modes"/>
     <property name="hidden_layout_modes">
-      <element value="edit"/>
+      <element value="create"/>
     </property>
     <property name="view_format">%d/%m/%Y</property>
@@ -414,5 +414,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-    <property name="prefix">APP</property>
+    <property name="prefix">PUME</property>
     <property name="reference">reg_no</property>
   </widget>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml	(revision 3586)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml	(revision 3587)
@@ -383,18 +383,15 @@
     <property name="css_class_expr">string:row</property>
   </widget>
- <widget name="lga" meta_type="Select Widget">
-  <property name="title">State/LGA</property>
+ <widget name="lga" meta_type="WAeUP LGA Widget">
+  <property name="title">LGA</property>
   <property name="fields">
    <element value="lga"/>
   </property>
-  <property name="label">State/LGA</property>
-  <property name="label_edit">State/LGA (confirmed by applicant)</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="label">LGA</property>
+  <property name="label_edit">LGA</property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">local_gov_areas</property>
-  <property name="sorted">True</property>
  </widget>
   <widget name="middlenames" meta_type="String Widget">
@@ -447,6 +444,4 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="view_format">%A, %B %d, %Y</property>
-    <property name="time_setting">False</property>
     <property name="css_class_expr">string:row</property>
   </widget>
Index: /WAeUP_SRP/fceokene/profiles/default/schemas/import_application.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/schemas/import_application.xml	(revision 3586)
+++ /WAeUP_SRP/fceokene/profiles/default/schemas/import_application.xml	(revision 3587)
@@ -57,3 +57,4 @@
  <field name="hq_disc" meta_type="CPS String Field"/>
  <field name="serial" meta_type="CPS String Field"/>
+ <field name="entry_session" meta_type="CPS String Field"/>
 </object>