Index: /WAeUP_SRP/aaua/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/aaua/profiles/default/layouts/application_pume.xml	(revision 3593)
+++ /WAeUP_SRP/aaua/profiles/default/layouts/application_pume.xml	(revision 3594)
@@ -512,5 +512,7 @@
     <element value="edit"/>
    </property>
-   <property name="hidden_layout_modes"/>
+   <property name="hidden_layout_modes">
+     <element value="create"/>
+   </property>
    <property name="hidden_readonly_layout_modes"/>
    <property name="label_false">male</property>
@@ -635,5 +637,5 @@
   <row>
    <cell name="sex" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="email" ncols="2"/>
Index: /WAeUP_SRP/aaua/waeup_custom/getPaymentsFolderInfo.py
===================================================================
--- /WAeUP_SRP/aaua/waeup_custom/getPaymentsFolderInfo.py	(revision 3593)
+++ /WAeUP_SRP/aaua/waeup_custom/getPaymentsFolderInfo.py	(revision 3594)
@@ -103,6 +103,6 @@
         start_pos = 6
     url = row['url'] = "%s/p%s" % (payments_path,oid[start_pos:])
-    row['is_requeryable'] = "%s_%s" % (payment.category,payment.session_id) not in paid_fees and payment.type == 'online' or str(member) in ('admin',)
-    row['is_approvable'] = is_so and row['is_requeryable'] and payment.category == 'schoolfee' # does not make sense for maitenance
+    row['is_requeryable'] = "%s_%s" % (payment.category,payment.session_id) not in paid_fees and not payment.resp_desc and payment.type == 'online'# or str(member) in ('admin',)  # customized too
+    row['is_approvable'] = is_so and row['is_requeryable'] and payment.category == 'schoolfee' # does not make sense for maintenance
     row['resp_desc'] = payment.resp_desc or 'Payment Process Interrupted'
     row['trans_ref'] = payment.order_id
Index: /WAeUP_SRP/aaua/waeup_custom/goto_interswitch_form.pt
===================================================================
--- /WAeUP_SRP/aaua/waeup_custom/goto_interswitch_form.pt	(revision 3593)
+++ /WAeUP_SRP/aaua/waeup_custom/goto_interswitch_form.pt	(revision 3594)
@@ -12,4 +12,7 @@
           <input type="hidden" tal:attributes="name python:arg[0];value python:arg[1]" />
       </span>          
+      
+      <span tal:replace = "structure info/xml_data" /> 
+      
         <table>
           <tr>
@@ -42,5 +45,5 @@
                class="standalone" 
                name="goto_bank" 
-               value="Proceed to Payment Gateway" 
+               value="Proceed to Interswitch Payment Gateway" 
                />
       </form>
Index: /WAeUP_SRP/aaua/waeup_custom/pay_interswitch.py
===================================================================
--- /WAeUP_SRP/aaua/waeup_custom/pay_interswitch.py	(revision 3593)
+++ /WAeUP_SRP/aaua/waeup_custom/pay_interswitch.py	(revision 3594)
@@ -82,5 +82,5 @@
 
 if True:
-    info['action'] = "https://webpay.interswitchng.com/test_paydirect/webpay/pay.aspx"
+    info['action'] = "https://webpay.interswitchng.com/paydirect/webpay/pay.aspx"
 else:
     #pass
@@ -137,15 +137,20 @@
 xmldict['aaua_amount'] = "%d" % int(100*aaua_amount)
 xmldict['bt_amount'] = "%d" % int(100*bt_amount)
+if student_record.mode.endswith('_pt'):
+    xmldict['aaua_acct'] = "0321100000000046"
+elif student_record.mode.endswith('_sw'):
+    xmldict['aaua_acct'] = "0321100000000056"
+else:
+    xmldict['aaua_acct'] = "0000000000000000"
 
 
-xmltext = """
-<payment_item_detail>
+xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="AAUA" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="AAUA" item_amt="%(aaua_amount)s" bank_id="00" acct_num="0000000000000000" />
-<item_detail item_id="2" item_name="BT" item_amt="%(bt_amount)s" bank_id="00" acct_num="0000000000000000" />
+<item_detail item_id="1" item_name="AAUA" item_amt="%(aaua_amount)s" bank_id="89" acct_num="%(aaua_acct)s" />
+<item_detail item_id="2" item_name="BT" item_amt="%(bt_amount)s" bank_id="117" acct_num="6012015294" />
 </item_details>
-</payment_item_detail>
-""" % xmldict
+</payment_item_detail>""" % xmldict
 
+info['xml_data'] = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
 
 args['Amount'] = "%d" % (total_amount)
@@ -156,6 +161,7 @@
 args['payment_params'] = 'college_split'
 #args['xml_data'] = ''
-args['xml_data'] = xmltext
+#args['xml_data'] = xmltext   # info['xml_data']can be used instead
 info['args'] = args
+
 return context.goto_interswitch_form(info=info)
 