Index: WAeUP_SRP/fceokene/profiles/default/course_results.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/course_results.xml	(revision 3609)
+++ WAeUP_SRP/fceokene/profiles/default/course_results.xml	(revision 3610)
@@ -12,4 +12,5 @@
  <column value="score"/>
  <column value="grade"/>
+ <column value="lecturer"/>
  <index name="key" meta_type="FieldIndex">
   <indexed_attr value="key"/>
@@ -18,4 +19,7 @@
   <indexed_attr value="code"/>
  </index>
+ <index name="lecturer" meta_type="FieldIndex">
+  <indexed_attr value="lecturer"/>
+ </index>  
  <index name="student_id" meta_type="FieldIndex">
   <indexed_attr value="student_id"/>
Index: WAeUP_SRP/fceokene/profiles/default/courses_catalog.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/courses_catalog.xml	(revision 3609)
+++ WAeUP_SRP/fceokene/profiles/default/courses_catalog.xml	(revision 3610)
@@ -3,4 +3,5 @@
 <object name="courses_catalog" meta_type="WAeUP Table">
  <column value="code"/>
+ <column value="lecturer"/>
  <column value="faculty"/>
  <column value="department"/>
@@ -12,4 +13,7 @@
   <indexed_attr value="code"/>
  </index>
+ <index name="lecturer" meta_type="FieldIndex">
+  <indexed_attr value="lecturer"/>
+ </index> 
  <index name="faculty" meta_type="FieldIndex">
   <indexed_attr value="faculty"/>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/course.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/course.xml	(revision 3609)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/course.xml	(revision 3610)
@@ -23,4 +23,17 @@
  <property name="display_width">8</property>
 </widget>
+
+ <widget name="lecturer" meta_type="String Widget">
+  <property name="title">Lecturer Id</property>
+  <property name="fields">
+   <element value="lecturer"/>
+  </property>
+  <property name="label">Lecturer Id</property>
+  <property name="label_edit">Lecturer Id</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
   <widget name="adm_status" meta_type="String Widget">
   <property name="title">Adm Status</property>
@@ -118,4 +131,7 @@
   </row>
   <row>
+   <cell name="lecturer"/>
+  </row>  
+  <row>
    <cell name="title"/>
   </row>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_course_result.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_course_result.xml	(revision 3609)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_course_result.xml	(revision 3610)
@@ -38,10 +38,10 @@
  </widget>
  <widget name="credits" meta_type="Int Widget">
-  <property name="title">Credits (original value)</property>
+  <property name="title">Credits</property>
   <property name="fields">
    <element value="credits"/>
   </property>
-  <property name="label">Credits (original value)</property>
-  <property name="label_edit">Credits (original value)</property>
+  <property name="label">Credits</property>
+  <property name="label_edit">Credits</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -54,10 +54,10 @@
  </widget>
  <widget name="passmark" meta_type="Int Widget">
-  <property name="title">Passmark (original value)</property>
+  <property name="title">Passmark</property>
   <property name="fields">
    <element value="passmark"/>
   </property>
-  <property name="label">Passmark (original value)</property>
-  <property name="label_edit">Passmark (original value)</property>
+  <property name="label">Passmark</property>
+  <property name="label_edit">Passmark</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -103,13 +103,4 @@
   </row>
   <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="credits"/>
-  </row>
-  <row>
-   <cell name="passmark"/>
-  </row>
-  <row>
    <cell name="score"/>
   </row>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/course.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/course.xml	(revision 3609)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/course.xml	(revision 3610)
@@ -6,4 +6,5 @@
  <field name="title" meta_type="CPS String Field"/>
  <field name="code" meta_type="CPS String Field"/>
+ <field name="lecturer" meta_type="CPS String Field"/>
  <field name="credits" meta_type="CPS Int Field"/>
  <field name="former_code" meta_type="CPS String Field"/>