Index: WAeUP_SRP/base/skins/waeup_default/waeup_document_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/waeup_document_view.pt	(revision 3617)
+++ WAeUP_SRP/base/skins/waeup_default/waeup_document_view.pt	(revision 3619)
@@ -3,34 +3,35 @@
               tal:define="info context/getDocumentInfo;
               s_name context/getStudentNameInContext;
-              is_so info/is_sectionofficer;"
-              >
+              ">
     <span tal:condition="not: info">
       <span tal:content="here/illegal_view" />
     </span>
-    <span tal:condition="not:info/is_anonymous" tal:omit-tag="">
-      <span tal:define="breadcrumbs context/getBreadCrumbs|nothing">
-        <a tal:condition="not: breadcrumbs" href="" 
-           tal:attributes="href string:${here/aq_parent/absolute_url}">
-          <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-          Up one level
-        </a>
-        <div tal:condition="breadcrumbs">
-          <span tal:repeat="crumb breadcrumbs"><a href="crumb" 
-                                                  tal:attributes="href crumb/url"
-                                                  tal:content="crumb/title"></a> 
-            <span tal:condition="not: repeat/crumb/end">&gt;</span>
-          </span>
-        </div>
+    <span tal:condition="info" tal:omit-tag="">
+      <span tal:condition="not:info/is_anonymous" tal:omit-tag="">
+        <span tal:define="breadcrumbs context/getBreadCrumbs|nothing">
+          <a tal:condition="not: breadcrumbs" href="" 
+             tal:attributes="href string:${here/aq_parent/absolute_url}">
+            <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+            Up one level
+          </a>
+          <div tal:condition="breadcrumbs">
+            <span tal:repeat="crumb breadcrumbs"><a href="crumb" 
+                                                    tal:attributes="href crumb/url"
+                                                    tal:content="crumb/title"></a> 
+              <span tal:condition="not: repeat/crumb/end">&gt;</span>
+            </span>
+          </div>
+        </span>      
       </span>      
+      <h3 tal:define="is_so info/is_sectionofficer;"> 
+        <span tal:condition="python:is_so and s_name">
+          <span tal:content="s_name" />:
+        </span>
+        <span tal:content="info/title" />
+      </h3>
+      <br />
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
     </span>      
-    <h3> 
-      <span tal:condition="python:is_so and s_name">
-        <span tal:content="s_name" />:
-      </span>
-      <span tal:content="info/title" />
-    </h3>
-    <br />
-    <span tal:omit-tag=""  
-          tal:content="structure python: info['doc'].render(layout_mode='view')" />
   </metal:main> 
   <metal:sub fill-slot="sub"/>
Index: WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py	(revision 3617)
+++ WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py	(revision 3619)
@@ -62,7 +62,13 @@
 info['review_state'] = student_record.review_state
 info['app'] = student.application
-info['app_doc'] = student.application.getContent()
+try:
+    info['app_doc'] = student.application.getContent()
+except:
+    return
 info['clear'] = student.clearance
-info['clear_doc'] = student.clearance.getContent()
+try:
+    info['clear_doc'] = student.clearance.getContent()
+except:
+    return    
 info['clear_review_state'] = wf.getInfoFor(student.clearance,'review_state',None)
 info['per'] = student.personal
Index: WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py	(revision 3617)
+++ WAeUP_SRP/base/skins/waeup_student/getStudyCourseInfo.py	(revision 3619)
@@ -42,5 +42,8 @@
 info['action'] = "%s" % context.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
-course  = info['doc'] = context.getContent()
+try:
+    course  = info['doc'] = context.getContent()
+except:
+    return None
 #student_id = context.getStudentId()
 student_record = context.students_catalog.getRecordByKey(student_id)