Index: WAeUP_SRP/unilorin/profiles/default/course_results.xml
===================================================================
--- WAeUP_SRP/unilorin/profiles/default/course_results.xml	(revision 3627)
+++ WAeUP_SRP/unilorin/profiles/default/course_results.xml	(revision 3628)
@@ -11,4 +11,5 @@
  <column value="session_id"/>
  <column value="score"/>
+ <column value="cascore"/>
  <column value="grade"/>
  <column value="lecturer"/>
@@ -21,5 +22,5 @@
  <index name="lecturer" meta_type="FieldIndex">
   <indexed_attr value="lecturer"/>
- </index>  
+ </index>
  <index name="student_id" meta_type="FieldIndex">
   <indexed_attr value="student_id"/>
Index: WAeUP_SRP/unilorin/profiles/default/layouts/import_course_result.xml
===================================================================
--- WAeUP_SRP/unilorin/profiles/default/layouts/import_course_result.xml	(revision 3627)
+++ WAeUP_SRP/unilorin/profiles/default/layouts/import_course_result.xml	(revision 3628)
@@ -153,4 +153,20 @@
   </widget>
 
+  <widget name="cascore" meta_type="Int Widget">
+    <property name="title">CA Score</property>
+    <property name="fields">
+      <element value="cascore"/>
+    </property>
+    <property name="is_required">False</property>
+    <property name="label">CA Score</property>
+    <property name="label_edit">Ca Score</property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="min_value">1</property>
+    <property name="max_value">100</property>
+  </widget>  
+
   <widget name="grade" meta_type="Select Widget">
     <property name="title">Grade</property>
Index: WAeUP_SRP/unilorin/profiles/default/layouts/student_course_result.xml
===================================================================
--- WAeUP_SRP/unilorin/profiles/default/layouts/student_course_result.xml	(revision 3627)
+++ WAeUP_SRP/unilorin/profiles/default/layouts/student_course_result.xml	(revision 3628)
@@ -81,4 +81,16 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="cascore" meta_type="Int Widget">
+  <property name="title">Continuous Assessment Score</property>
+  <property name="fields">
+   <element value="cascore"/>
+  </property>
+  <property name="label">Continuous Assessment Score</property>
+  <property name="label_edit">Continuous Assessment Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="title" meta_type="String Widget">
   <property name="title">Original Course Title</property>
@@ -106,4 +118,7 @@
   </row>
   <row>
+   <cell name="cascore"/>
+  </row>  
+  <row>
    <cell name="core_or_elective "/>
   </row>
Index: WAeUP_SRP/unilorin/profiles/default/schemas/import_course_result.xml
===================================================================
--- WAeUP_SRP/unilorin/profiles/default/schemas/import_course_result.xml	(revision 3627)
+++ WAeUP_SRP/unilorin/profiles/default/schemas/import_course_result.xml	(revision 3628)
@@ -10,4 +10,5 @@
  <field name="credits" meta_type="CPS Int Field"/>
  <field name="score" meta_type="CPS String Field"/>
+ <field name="cascore" meta_type="CPS String Field"/>
  <field name="grade" meta_type="CPS String Field"/>
  <field name="carry_over" meta_type="CPS Boolean Field"/>
Index: WAeUP_SRP/unilorin/profiles/default/schemas/student_course_result.xml
===================================================================
--- WAeUP_SRP/unilorin/profiles/default/schemas/student_course_result.xml	(revision 3627)
+++ WAeUP_SRP/unilorin/profiles/default/schemas/student_course_result.xml	(revision 3628)
@@ -11,3 +11,4 @@
  <field name="status" meta_type="CPS String Field"/>
  <field name="passmark" meta_type="CPS Int Field"/>
+ <field name="cascore" meta_type="CPS Int Field"/>
 </object>
Index: WAeUP_SRP/unilorin/waeup_custom/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/unilorin/waeup_custom/getStudyLevelInfo.py	(revision 3627)
+++ WAeUP_SRP/unilorin/waeup_custom/getStudyLevelInfo.py	(revision 3628)
@@ -85,6 +85,6 @@
 
 max_credits = 58
-info['without_score'] = without_score = False
-
+info['without_score'] = False
+info['without_cascore'] = False
 
 
Index: WAeUP_SRP/unilorin/waeup_custom/getTranscriptInfo.py
===================================================================
--- WAeUP_SRP/unilorin/waeup_custom/getTranscriptInfo.py	(revision 3627)
+++ WAeUP_SRP/unilorin/waeup_custom/getTranscriptInfo.py	(revision 3628)
@@ -54,4 +54,6 @@
 
 year_counter = 0
+cgpa = 0
+c_total_credits = 0
 for year in year_courses:
     gpa = 0
@@ -61,4 +63,6 @@
             gpa += int(course['weight']) * int(course['credits'])
             total_credits += int(course['credits'])
+    cgpa += gpa
+    c_total_credits += total_credits
     if gpa and total_credits:
         year_details[year_counter]['total_credits'] = total_credits
@@ -66,5 +70,13 @@
     else:
         year_details[year_counter]['total_credits'] = 0
-        year_details[year_counter]['gpa'] = 0    
+        year_details[year_counter]['gpa'] = 0
+
+    if cgpa and c_total_credits:
+        year_details[year_counter]['c_total_credits'] = c_total_credits
+        year_details[year_counter]['cgpa'] = "%4.2f" % (float(cgpa)/int(c_total_credits))
+    else:
+        year_details[year_counter]['c_total_credits'] = 0
+        year_details[year_counter]['cgpa'] = 0
+
     year.sort(cmp=lambda x,y: cmp("%(semester)s%(code)s" % x,
                                          "%(semester)s%(code)s" % y))
Index: WAeUP_SRP/unilorin/waeup_custom/transcript_view.pt
===================================================================
--- WAeUP_SRP/unilorin/waeup_custom/transcript_view.pt	(revision 3627)
+++ WAeUP_SRP/unilorin/waeup_custom/transcript_view.pt	(revision 3628)
@@ -73,5 +73,5 @@
         <table>
           <tr tal:condition="details/total_credits" >
-            <th>Total Credits:</th>
+            <th width='200pt'>Total Credits:</th>
             <td tal:content="details/total_credits" />
           </tr>
@@ -80,4 +80,12 @@
             <td><span tal:content="details/gpa" /></td>
           </tr>
+          <tr>
+            <th>Cumulative Total Credits:</th>
+            <td tal:content="details/c_total_credits" />
+          </tr>
+          <tr tal:condition="details/cgpa">
+            <th>CGPA:</th> 
+            <td><span tal:content="details/cgpa" /></td>
+          </tr>          
         </table>      
 