Index: WAeUP_SRP/fceokene/profiles/default/course_results.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/course_results.xml	(revision 3625)
+++ WAeUP_SRP/fceokene/profiles/default/course_results.xml	(revision 3630)
@@ -11,4 +11,5 @@
  <column value="session_id"/>
  <column value="score"/>
+ <column value="cascore"/>
  <column value="grade"/>
  <column value="lecturer"/>
@@ -21,5 +22,5 @@
  <index name="lecturer" meta_type="FieldIndex">
   <indexed_attr value="lecturer"/>
- </index>  
+ </index>
  <index name="student_id" meta_type="FieldIndex">
   <indexed_attr value="student_id"/>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/import_course_result.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/import_course_result.xml	(revision 3625)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/import_course_result.xml	(revision 3630)
@@ -153,4 +153,20 @@
   </widget>
 
+  <widget name="cascore" meta_type="Int Widget">
+    <property name="title">CA Score</property>
+    <property name="fields">
+      <element value="cascore"/>
+    </property>
+    <property name="is_required">False</property>
+    <property name="label">CA Score</property>
+    <property name="label_edit">Ca Score</property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="min_value">1</property>
+    <property name="max_value">100</property>
+  </widget>  
+
   <widget name="grade" meta_type="Select Widget">
     <property name="title">Grade</property>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_course_result.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_course_result.xml	(revision 3625)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_course_result.xml	(revision 3630)
@@ -81,4 +81,16 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="cascore" meta_type="Int Widget">
+  <property name="title">Continuous Assessment Score</property>
+  <property name="fields">
+   <element value="cascore"/>
+  </property>
+  <property name="label">Continuous Assessment Score</property>
+  <property name="label_edit">Continuous Assessment Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="title" meta_type="String Widget">
   <property name="title">Original Course Title</property>
@@ -106,4 +118,7 @@
   </row>
   <row>
+   <cell name="cascore"/>
+  </row>  
+  <row>
    <cell name="core_or_elective "/>
   </row>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/import_course_result.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/import_course_result.xml	(revision 3625)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/import_course_result.xml	(revision 3630)
@@ -10,4 +10,5 @@
  <field name="credits" meta_type="CPS Int Field"/>
  <field name="score" meta_type="CPS String Field"/>
+ <field name="cascore" meta_type="CPS String Field"/>
  <field name="grade" meta_type="CPS String Field"/>
  <field name="carry_over" meta_type="CPS Boolean Field"/>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/student_course_result.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/student_course_result.xml	(revision 3625)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/student_course_result.xml	(revision 3630)
@@ -11,3 +11,4 @@
  <field name="status" meta_type="CPS String Field"/>
  <field name="passmark" meta_type="CPS Int Field"/>
+ <field name="cascore" meta_type="CPS Int Field"/>
 </object>
Index: WAeUP_SRP/fceokene/waeup_custom/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/getStudyLevelInfo.py	(revision 3625)
+++ WAeUP_SRP/fceokene/waeup_custom/getStudyLevelInfo.py	(revision 3630)
@@ -85,6 +85,6 @@
 
 max_credits = 58
-info['without_score'] = without_score = False
-
+info['without_score'] = False
+info['without_cascore'] = True
 
 