Index: WAeUP_SRP/base/profiles/default/course_results.xml
===================================================================
--- WAeUP_SRP/base/profiles/default/course_results.xml	(revision 3666)
+++ WAeUP_SRP/base/profiles/default/course_results.xml	(revision 3667)
@@ -11,5 +11,7 @@
  <column value="session_id"/>
  <column value="score"/>
- <column value="cascore"/>
+ <column value="ca1"/>
+ <column value="ca2"/>
+ <column value="exam"/> 
  <column value="grade"/>
  <column value="lecturer"/>
Index: WAeUP_SRP/base/profiles/default/layouts/import_course_result.xml
===================================================================
--- WAeUP_SRP/base/profiles/default/layouts/import_course_result.xml	(revision 3666)
+++ WAeUP_SRP/base/profiles/default/layouts/import_course_result.xml	(revision 3667)
@@ -153,19 +153,49 @@
   </widget>
 
-  <widget name="cascore" meta_type="Int Widget">
-    <property name="title">CA Score</property>
+  <widget name="ca1" meta_type="Int Widget">
+    <property name="title">CA Score 1</property>
+    <property name="fields">
+      <element value="ca1"/>
+    </property>
+    <property name="is_required">False</property>
+    <property name="label">CA Score 1</property>
+    <property name="label_edit">Ca Score 1</property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="min_value">1</property>
+    <property name="max_value">100</property>
+  </widget>
+  <widget name="ca2" meta_type="Int Widget">
+    <property name="title">CA Score 2</property>
     <property name="fields">
       <element value="cascore"/>
     </property>
     <property name="is_required">False</property>
-    <property name="label">CA Score</property>
-    <property name="label_edit">Ca Score</property>
-    <property name="readonly_layout_modes">
-    </property>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="min_value">1</property>
-    <property name="max_value">100</property>
-  </widget>  
+    <property name="label">CA Score 2</property>
+    <property name="label_edit">Ca Score 2</property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="min_value">1</property>
+    <property name="max_value">100</property>
+  </widget>
+  <widget name="exam" meta_type="Int Widget">
+    <property name="title">Exam Score</property>
+    <property name="fields">
+      <element value="exam"/>
+    </property>
+    <property name="is_required">False</property>
+    <property name="label">Exam Score</property>
+    <property name="label_edit">Exam Score</property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="min_value">1</property>
+    <property name="max_value">100</property>
+  </widget>    
 
   <widget name="grade" meta_type="Select Widget">
Index: WAeUP_SRP/base/profiles/default/layouts/student_course_result.xml
===================================================================
--- WAeUP_SRP/base/profiles/default/layouts/student_course_result.xml	(revision 3666)
+++ WAeUP_SRP/base/profiles/default/layouts/student_course_result.xml	(revision 3667)
@@ -81,11 +81,12 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="cascore" meta_type="Int Widget">
-  <property name="title">Continuous Assessment Score</property>
+
+ <widget name="exam" meta_type="Int Widget">
+  <property name="title">Exam Score</property>
   <property name="fields">
-   <element value="cascore"/>
+   <element value="exam"/>
   </property>
-  <property name="label">Continuous Assessment Score</property>
-  <property name="label_edit">Continuous Assessment Score</property>
+  <property name="label">Exam Score</property>
+  <property name="label_edit">Exam Score</property>
   <property name="readonly_layout_modes">
   </property>
@@ -93,4 +94,29 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="ca1" meta_type="Int Widget">
+  <property name="title">CA Score 1</property>
+  <property name="fields">
+   <element value="ca1"/>
+  </property>
+  <property name="label">CA Score 1</property>
+  <property name="label_edit">CA Score 1</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="ca2" meta_type="Int Widget">
+  <property name="title">CA Score 2</property>
+  <property name="fields">
+   <element value="ca2"/>
+  </property>
+  <property name="label">CA Score 2</property>
+  <property name="label_edit">CA Score 2</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
  <widget name="title" meta_type="String Widget">
   <property name="title">Original Course Title</property>
@@ -118,6 +144,12 @@
   </row>
   <row>
-   <cell name="cascore"/>
-  </row>  
+   <cell name="ca1"/>
+  </row>
+  <row>
+   <cell name="ca2"/>
+  </row>
+  <row>
+   <cell name="exam"/>
+  </row>
   <row>
    <cell name="core_or_elective "/>
Index: WAeUP_SRP/base/profiles/default/schemas/import_course_result.xml
===================================================================
--- WAeUP_SRP/base/profiles/default/schemas/import_course_result.xml	(revision 3666)
+++ WAeUP_SRP/base/profiles/default/schemas/import_course_result.xml	(revision 3667)
@@ -10,5 +10,7 @@
  <field name="credits" meta_type="CPS Int Field"/>
  <field name="score" meta_type="CPS String Field"/>
- <field name="cascore" meta_type="CPS String Field"/>
+ <field name="ca1" meta_type="CPS Int Field"/>
+ <field name="ca2" meta_type="CPS Int Field"/>
+ <field name="exam" meta_type="CPS Int Field"/>
  <field name="grade" meta_type="CPS String Field"/>
  <field name="carry_over" meta_type="CPS Boolean Field"/>
Index: WAeUP_SRP/base/profiles/default/schemas/student_course_result.xml
===================================================================
--- WAeUP_SRP/base/profiles/default/schemas/student_course_result.xml	(revision 3666)
+++ WAeUP_SRP/base/profiles/default/schemas/student_course_result.xml	(revision 3667)
@@ -11,4 +11,6 @@
  <field name="status" meta_type="CPS String Field"/>
  <field name="passmark" meta_type="CPS Int Field"/>
- <field name="cascore" meta_type="CPS Int Field"/>
+ <field name="ca1" meta_type="CPS Int Field"/>
+ <field name="ca2" meta_type="CPS Int Field"/>
+ <field name="exam" meta_type="CPS Int Field"/>
 </object>
Index: WAeUP_SRP/base/skins/waeup_student/academic_report_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/academic_report_view.pt	(revision 3667)
+++ WAeUP_SRP/base/skins/waeup_student/academic_report_view.pt	(revision 3667)
@@ -0,0 +1,280 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+          tal:define="info context/getStudyLevelInfo;
+                      contact_student_form string:contact_student_form;
+                      study_level_view string:study_level_view;">
+  <metal:block define-macro="edit_form">   
+              
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info">
+    <span tal:define= "is_so context/isSectionOfficer;
+    is_ca info/is_ca;
+    show_check_boxes info/show_check_boxes;
+    has_verdict info/has_verdict;
+    submission_allowed info/submission_allowed;
+    rejection_allowed info/rejection_allowed;
+    is_current_level info/is_current_level;
+    is_student info/is_student;
+    with_score not: info/without_score|nothing;
+    with_cascore not: info/without_cascore|nothing;
+    ">     
+    
+
+    <span tal:condition="python:False">  
+    <div style="text-align: right" 
+         tal:condition="rejection_allowed">
+    <a href="" target="slip" tal:attributes="href string:course_registration_slip"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+        Course Registration Slip
+    </a>
+    </div>
+    
+    <div style="text-align: right" 
+         tal:condition="info/gpa">
+    <a href="" target="slip" tal:attributes="href string:new_session_results_slip"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+        Session Results Slip
+    </a>
+    </div>    
+    </span>
+
+
+          
+    <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+
+    <h3> 
+      <span tal:condition="python: is_so or is_ca">
+        <span tal:content="info/student/name" />:
+      </span>
+      <span tal:condition="is_student">My </span>
+      
+      Course Registration Form for <span tal:content="info/level_str" />
+    </h3>
+    
+        <br />
+        <table>
+          <tr>
+            <th  width="220px">Session:</th> 
+            <td><span tal:content="info/session" /></td>
+          </tr>
+          <tr tal:condition="has_verdict">
+            <th>Verdict:</th> 
+            <td><span tal:content="info/verdict" /></td>
+          </tr>      
+        </table>           
+   
+             
+    <form action="." method="post" class="group" onsubmit="return submit_once()">
+
+      <div class="" tal:condition="python: info['data_missing'] and not info['spillover']">
+        <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
+        <br /><br />
+      </div>
+       
+      <span tal:condition="not:info/data_missing" tal:omit-tag=""> 
+
+      <table class="contentListing"  id="folder_content">
+        
+        <span tal:repeat="sem python:(('1','Term One','normal1'),('2','Term Two','normal2'),('3','Term Three','normal3'))">       
+                    
+        <tr tal:condition="python:info[sem[2]]">
+        <th tal:attributes="colspan python: test(show_check_boxes,'2','1')" 
+            tal:content="python:sem[1]" />
+        <th align='center'></th> 
+        <th align='center'>ca1</th>
+        <th align='center'>ca2</th>    
+        <th align='center'>em</th>              
+        <th align='center'>om</th>
+        <th tal:condition="submission_allowed" align='center'></th>   
+            
+        </tr>                
+        <tr tal:repeat="row python:info[sem[2]]"
+            
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5%;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" tal:content="row/ca1"></td>
+          <td align="center" tal:content="row/ca2"></td>
+          <td align="center" tal:content="row/exam"></td>
+          <td align="center" tal:content="row/score"></td>
+          
+          <td tal:condition="submission_allowed" width="5%" align="center">
+            <a href="edit" tal:attributes="href string:course_edit/${row/code}"
+            target="edit_course_result"
+            onclick="javascript:window.open('','edit_course_result','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            [edit]
+            </a> 
+          </td>          
+        </tr>
+        <tr><td>&nbsp;</td></tr>
+        </span>        
+        
+      </table>
+      </span>
+      
+      <table>
+      <tr><th>ca1/2:</th> <td>CA 1/2 Marks</td></tr>
+      <tr><th>em:</th> <td>Exam Marks</td></tr>
+      <tr><th>om:</th> <td>Overall Marks</td></tr>
+      </table>      
+          
+      <br />
+      
+      <table tal:condition="python: is_student and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete selected courses?', )" 
+                     />
+              <input tal:condition="python: 1" type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+                    
+                     
+              <br /><br />
+              <input tal:condition="not: info/credits_exceeded" 
+                     type="submit" name="register_courses:method"
+                     class="context" value="Submit to Course Adviser" 
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to submit the course list? You will not be able to edit your data after submission.', )" />
+              <span tal:condition="info/credits_exceeded">
+                  <font color="red"> <strong>Your total credits exceed <span tal:replace="info/max_credits" />!</strong></font>
+              </span>
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value study_level_view"/>  
+                     
+              <br /><br />
+              
+              <span tal:condition="python: 1">
+              <strong>Note:</strong> 'Update' checks for all courses in your certificate and will add them to your course list irrespective of
+              prior deletion, i.e. already deleted courses will show up again. 
+              Please use this function only if you are sure that your faculty has added courses which are not yet on your course list.                                
+              </span>
+              <span tal:condition="python: 0">
+              <strong>Note:</strong> The 'Update' function has been temporarily disabled.                                 
+              </span>              
+                     
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python: is_so and show_check_boxes" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input 
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="submission_allowed" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="info/validation_allowed" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="info/rejection_allowed" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value contact_student_form"/>                         
+
+          </td>
+        </tr>
+      </table>
+      <table tal:condition="python:is_ca and is_current_level and not has_verdict" width="100%" cellspacing="0" cellpadding="2"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+              <input tal:condition="show_check_boxes"
+                     type="button" value="Select all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input tal:condition="show_check_boxes"
+                     type="submit" name="delete_course_result:method" value="Delete selected"
+                     class="destructive" i18n:attributes="value"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to delete the courses selected?', )" 
+                     />
+              <input tal:condition="show_check_boxes"
+                     type="submit" name="refresh_level:method"
+                     class="context" value="Update" 
+                     />
+              <input tal:condition="submission_allowed" type="submit" name="register_courses:method"
+                     class="context" value="Submit" />  
+              <input tal:condition="info/validation_allowed" type="submit" name="validate_courses:method"
+                     class="context" value="Validate" />
+              <input tal:condition="info/rejection_allowed" type="submit" name="reject_courses:method"
+                     class="context" value="Reject" />
+                     
+              <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value study_level_view"/>                         
+              <input type="hidden" name="action_after_reject" type="text" id="action_after_reject"
+                     tal:attributes="value contact_student_form"/>    
+                                           
+
+          </td>
+        </tr>
+      </table>
+
+    </form>
+    <br />
+      <form action="add_course_result" method="post" class="group" onsubmit="return submit_once()"
+          tal:condition="show_check_boxes">
+      <table>
+        <tr>
+          <th>Course Id</th>
+          <td><input type="text" name="course_id" 
+                     tal:attributes="value request/course_id|nothing"/></td>
+          <td colspan="2">
+            <input type="submit" name="add"
+                   class="context" value="Add Course" 
+                   />
+            <input type="hidden" name="action_after_validate" type="text" id="action_after_validate"
+                     tal:attributes="value study_level_view"/>                       
+          </td>                
+      </table>
+      </form>   
+  </span>
+  </span>        
+  </metal:block>    
+  </metal:main>
+
+</metal:body>
+
Index: WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 3666)
+++ WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 3667)
@@ -113,5 +113,5 @@
           <td align="center" width="2%" tal:content="row/credits"></td>
           <td tal:condition="with_score" align="center" width="4%" tal:content="row/score"></td>
-          <td tal:condition="with_cascore" align="center" width="4%" tal:content="row/cascore"></td>
+          <td tal:condition="with_cascore" align="center" width="4%" tal:content="row/ca1"></td>
           <td align="center" width="2%" tal:content="row/grade"></td>
           <td align="center" width="2%" tal:content="row/weight"></td>
@@ -135,9 +135,9 @@
       <table class="contentListing" width="100%" id="folder_content">
         
-        <span tal:repeat="sem python:('1','2')">       
+        <span tal:repeat="sem python:(('1','First Semester Courses','normal1'),('2','Second Semester Courses','normal2'),('3','Level Courses','normal3'))">       
                     
-        <tr>
+        <tr tal:condition="python:info[sem[2]]">
         <th tal:attributes="colspan python: test(show_check_boxes,'2','1')" 
-            tal:content="python: test(sem == '1','First Semester', 'Second Semester')" />
+            tal:content="python:sem[1]" />
         <th align='center'></th> 
         <th align='center'>sm</th>
@@ -151,7 +151,8 @@
             
         </tr>                
-        <tr tal:repeat="row python: test(sem == '1',info['normal1'],info['normal2'])"
+        <tr tal:repeat="row python:info[sem[2]]"
+            
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-          <td align="left" valign="middle" style="width: 5%         ;"
+          <td align="left" valign="middle" style="width: 5%;"
              tal:condition="show_check_boxes">
             <input type="checkbox" name="ids:list" value="" id="" class="noborder"
@@ -167,5 +168,5 @@
           <td align="center" width="2%" tal:content="row/credits"></td>
           <td tal:condition="with_score" align="center" width="4%" tal:content="row/score"></td>
-          <td tal:condition="with_cascore" align="center" width="4%" tal:content="row/cascore"></td>
+          <td tal:condition="with_cascore" align="center" width="4%" tal:content="row/ca1"></td>
           <td align="center" width="2%" tal:content="row/grade"></td>
           <td align="center" width="2%" tal:content="row/weight"></td>
@@ -180,37 +181,6 @@
           </td>          
         </tr>
-
+        <tr><td>&nbsp;</td></tr>
         </span>        
-        
-        <tr><th colspan="3" tal:condition="info/normal3"> Combined</th></tr>                
-        <tr tal:condition="info/normal3" tal:repeat="row info/normal3"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-          <td align="left" valign="middle" style="width: 5%;"
-             tal:condition="show_check_boxes">
-            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                   tal:define="id row/id"
-                   tal:attributes="value id;
-                   id python:'cb_' + id;
-                   checked python:id in info['choosen_ids'];" 
-                   />
-          </td>
-          <td width="58%" tal:content="row/title"></td>
-          <td align="center" width="10%" tal:content="row/code"></td>
-          <td align="center" width="2%"><span tal:content="row/semester" /></td>
-          <td align="center" width="2%" tal:content="row/credits"></td>
-          <td tal:condition="with_score" align="center" width="4%" tal:content="row/score"></td>
-          <td tal:condition="with_cascore" align="center" width="4%" tal:content="row/cascore"></td>
-          <td align="center" width="2%" tal:content="row/grade"></td>
-          <td align="center" width="2%" tal:content="row/weight"></td>
-          <td align="center" width="10%" tal:content="row/coe|nothing"></td>
-          
-          <td tal:condition="submission_allowed" width="5%" align="center">
-          <a href="edit" tal:attributes="href string:course_edit/${row/code}"
-          target="edit_course_result"
-          onclick="javascript:window.open('','edit_course_result','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-          [edit]
-          </a> 
-          </td>          
-        </tr>        
         
       </table>